Subject: Re: [RFC 1/3] tcp: randomize tcp timestamp offsets for each connection

From: Florian Westphal <[email-masked]>
Date: Thu, 25 Aug 2016 16:49:58 +0200

Eric Dumazet <[email-masked]> wrote:
> Here at Google we have been using usec resolution in TCP timestamps for
> a while for all our DC traffic, and we have to upstream this at some
> point.
> 
> It would be nice if the randomization was optional, because having usec
> timestamps with a common base (ie no per flow random base) helps a lot
> to understand the host delays at transmit time, and receive time.

Would it help to make it per-host instead of per-flow?

> I will review your patch more in depth today, thanks.

Great, thanks a lot!